package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.ym.mec.biz.dal.enums.KitPurchaseMethodEnum;
import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageBaseInfoOfMusicGroupDto {

    @ApiModelProperty(value = "乐团ID",required = false)
    private Long musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "乐团状态（报名中、缴费中、筹备中、进行中、取消）",required = false)
    private MusicGroupStatusEnum musicGroupStatus;

    @ApiModelProperty(value = "加入乐团时间",required = false)
    private Date joinMusicGroupDate;

    @ApiModelProperty(value = "科目ID",required = false)
    private Long subjectId;

    @ApiModelProperty(value = "科目名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "器材购买方式（团购、自备）",required = false)
    private KitPurchaseMethodEnum kitPurchaseMethod;

    @ApiModelProperty(value = "商品ID列表",required = false)
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String goodsIdList;

    @ApiModelProperty(value = "商品名称列表",required = false)
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String[] goodsNameList;

    @ApiModelProperty(value = "打包价格",required = false)
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private BigDecimal price;

    @ApiModelProperty(value = "部门ID",required = false)
    private Long organId;

    @ApiModelProperty(value = "部门名称",required = false)
    private String organName;

    public Long getOrganId() {
        return organId;
    }

    public void setOrganId(Long organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String[] getGoodsNameList() {
        return goodsNameList;
    }

    public void setGoodsNameList(String[] goodsNameList) {
        this.goodsNameList = goodsNameList;
    }

    public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public MusicGroupStatusEnum getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(MusicGroupStatusEnum musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }

    public Date getJoinMusicGroupDate() {
        return joinMusicGroupDate;
    }

    public void setJoinMusicGroupDate(Date joinMusicGroupDate) {
        this.joinMusicGroupDate = joinMusicGroupDate;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public KitPurchaseMethodEnum getKitPurchaseMethod() {
        return kitPurchaseMethod;
    }

    public void setKitPurchaseMethod(KitPurchaseMethodEnum kitPurchaseMethod) {
        this.kitPurchaseMethod = kitPurchaseMethod;
    }

    public String getGoodsIdList() {
        return goodsIdList;
    }

    public void setGoodsIdList(String goodsIdList) {
        this.goodsIdList = goodsIdList;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }
}
